**Full name**: projects.locations.tuningJobs.list

Lists tuning jobs in a location.

### Endpoint

get `https://{service-endpoint}/v1beta1/{parent}/tuningJobs`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`parent` `string` Required. The resource name of the location to list the tuning jobs from. Format: `projects/{project}/locations/{location}`

### Query parameters

`filter` `string` Optional. The standard list filter.
`pageSize` `integer` Optional. The standard list page size.
`pageToken` `string` Optional. The standard list page token.

Typically obtained from `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.tuningJobs/list#body.ListTuningJobsResponse.FIELDS.next_page_token` of the previous `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.tuningJobs/list#google.cloud.aiplatform.v1beta1.GenAiTuningService.ListTuningJobs` call.

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.tuningJobs/list#google.cloud.aiplatform.v1beta1.GenAiTuningService.ListTuningJobs`

If successful, the response body contains data with the following structure:
Fields `tuningJobs[]` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.tuningJobs#TuningJob`)`` The tuning jobs that match the request.
`nextPageToken` `string` A token to retrieve the next page of results.

Pass this token in a subsequent \[GenAiTuningService.ListTuningJobs\] call to retrieve the next page of results.

| JSON representation |
|---|
| ``` { "tuningJobs": [ { object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.tuningJobs#TuningJob`) } ], "nextPageToken": string } ``` |

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `aiplatform.tuningJobs.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).